Bug 462863 - virt-manager syntax error with python 2.4
virt-manager syntax error with python 2.4
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
All Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Berrange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-19 08:28 EDT by Andrew Gillies
Modified: 2010-03-16 13:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-22 10:54:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to nest the try/except in a try/finally (857 bytes, patch)
2008-09-19 08:28 EDT, Andrew Gillies
no flags Details | Diff

  None (edit)
Description Andrew Gillies 2008-09-19 08:28:21 EDT
Created attachment 317188 [details]
patch to nest the try/except in a try/finally

The virt-manager rpm builds, but will not run on a system with python version < 2.5.  I am not sure this is intentional (the spec file specifies no python version dependency), but a single/small clause in domain.py is the sole cause of the problem (line 669 - the use of a 2.5 try/except/finally sequence).

As this seams to be the only place that makes the code dependent on python 2.5, I though I would raise it as a possible bug.

Version-Release number of selected component (if applicable):
virt-manager-0.6.0-1
python-2.4.3-21.el5
libvirt-0.4.5-1
python-virtinst-0.400.0

How reproducible:
always on a system with python < 2.5 (tested on centOS 5.2)

Steps to Reproduce:
rpm builds, but will not run on a system with python version < 2.5.  
  
Actual results:
Python syntax error at line 669 of domain.py

Expected results:
no syntax error

Additional info:

simple fix is to nest the try/except in a try/finally - everything works OK after this - see attached patch.
Comment 1 John Poelstra 2008-09-19 13:55:24 EDT
You have filed this bug against 'rawhide' yet all your references are to CentOS 5.2 (not maintained by Fedora.

Is this bug in Rawhide?
Comment 2 Cole Robinson 2008-09-19 13:58:12 EDT
I've moved this to the 'Virtualization' component which we use to track upstream virt bugs. This really isn't of particular interest to rawhide.
Comment 3 Andrew Gillies 2008-09-19 14:51:04 EDT
(In reply to comment #1)
> Is this bug in Rawhide?

Sorry for posting this in the wrong place.  Although I am running/testing virt-manager on both RHEL and Centos 5, I pulled the rpm spec file for the latest release from rawhide.  This will not be an issue for Fedora as it ships with python >2.4.

apologies again,
Comment 4 Cole Robinson 2008-09-22 10:54:29 EDT
Thanks! Applied upstream:

http://hg.et.redhat.com/virt/applications/virt-manager--devel?cs=a8cafeaa92a6

Closing this bug as UPSTREAM.

Note You need to log in before you can comment on or make changes to this bug.